import { isHeading, isMeta } from '../../core/utils'
import { FONT } from '../../core/constants'

const { PATHWAY, MONTSERRAT } = FONT.FAMILY
const { REGULAR, BOLD } = FONT.WEIGHT

export default ({
  type = 'body',
  bold = false,
  margin = 0,
  lineHeight,
  uppercase,
  ellipsis,
  align,
  color,
  size
} = {}) => {
  const ifMeta = isMeta(type)
  const ifHeading = isHeading(type)
  return {
    textTransform: ifHeading || ifMeta || uppercase ? 'uppercase' : null,
    lineHeight: lineHeight ? lineHeight : ifHeading ? '1em' : '1.4em',
    fontWeight: ifHeading ? REGULAR : bold ? BOLD : REGULAR,
    fontFamily: ifHeading ? PATHWAY : MONTSERRAT,
    fontSize: size ? size : FONT.SIZE[type.toUpperCase()],
    textAlign: align,
    ellipsis,
    margin,
    color
  }
}
